#ifndef RUNNER_H
#define RUNNER_H

#include "tier1/utlvector.h"
#include "tier1/utlstring.h"

interface IRunner
{
public:
	static int Run( CUtlString szName, CUtlVector<CUtlString>& args );
	static int Run( CUtlString szName, CUtlString szDirectory, CUtlVector<CUtlString>& args );
	static int Run( CUtlString szName, CUtlString szDirectory, CUtlVector<CUtlString>& args, CUtlVector<CUtlString>& environment );
};

#endif
